2018-01-17 18:42 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001851openmediavaultBugpublic2017-12-16 11:13
Reporterblublub 
Assigned Tovotdev 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product VersionArrakis (4.x) 
Target VersionFixed in VersionArrakis (4.x) 
Summary0001851: ZFS not mounted
DescriptionHi

Since I can't update Bug 0001827 I decided to open a new ticket.

In current OMV 4.0.9 the share are still mounted before ZFS and hence ZFS mount failes.
Steps To Reproduce1. OMV 4
2. SMB shares on ZFS volume
3. Boot
4. share are created and the mounting point of the ZFSL volume is not empty -> hence ZFS filesystem wont' mount

Delete created folder via console manually and mount ZFS -> all good
Additional InformationNov 13 09:49:43 StoreME systemd[1]: Mounting /sharedfolders/TV-Aufnahmen...
Nov 13 09:49:43 StoreME systemd[1]: Mounting /tmp...
Nov 13 09:49:43 StoreME systemd[1]: Mounting /sharedfolders/video...
Nov 13 09:49:43 StoreME systemd[1]: Mounting /sharedfolders/BackupService...
Nov 13 09:49:43 StoreME systemd[1]: Mounting /sharedfolders/public...
Nov 13 09:49:43 StoreME systemd[1]: Mounting /sharedfolders/deniz...
Nov 13 09:49:43 StoreME systemd[1]: Mounting /sharedfolders/AlteAufnahmen...
Nov 13 09:49:43 StoreME systemd[1]: Mounting /sharedfolders/stephan...
Nov 13 09:49:43 StoreME systemd[1]: Mounted /sharedfolders/deniz.
Nov 13 09:49:43 StoreME systemd[1]: Mounted /sharedfolders/video.
Nov 13 09:49:43 StoreME systemd[1]: Mounted /sharedfolders/public.
Nov 13 09:49:43 StoreME systemd[1]: Mounted /sharedfolders/TV-Aufnahmen.
Nov 13 09:49:43 StoreME systemd[1]: Mounted /sharedfolders/BackupService.
Nov 13 09:49:43 StoreME systemd[1]: Mounted /tmp.
Nov 13 09:49:43 StoreME systemd[1]: Mounted /sharedfolders/stephan.
Nov 13 09:49:43 StoreME systemd[1]: Started File System Check Daemon to report status.
Nov 13 09:49:43 StoreME systemd[1]: Mounted /sharedfolders/AlteAufnahmen.
Nov 13 09:49:43 StoreME systemd[1]: Started File System Check on /dev/disk/by-uuid/2ba7e921-d824-470f-a38f-953ba6be9fdc.
Nov 13 09:49:43 StoreME systemd[1]: Mounting /media/2ba7e921-d824-470f-a38f-953ba6be9fdc...
Nov 13 09:49:43 StoreME systemd[1]: Mounted /media/2ba7e921-d824-470f-a38f-953ba6be9fdc.
Nov 13 09:49:43 StoreME systemd[1]: Mounting /sharedfolders/embytranscoding...
Nov 13 09:49:43 StoreME systemd[1]: Mounting /sharedfolders/timeshift...
Nov 13 09:49:43 StoreME systemd[1]: Mounting /sharedfolders/VDRTest...
Nov 13 09:49:43 StoreME systemd[1]: Mounting /sharedfolders/docker...
Nov 13 09:49:43 StoreME systemd[1]: Mounting /sharedfolders/musik16bit...
Nov 13 09:49:43 StoreME systemd[1]: Mounting /sharedfolders/musik...
Nov 13 09:49:43 StoreME systemd[1]: Mounted /sharedfolders/VDRTest.
Nov 13 09:49:43 StoreME systemd[1]: Mounted /sharedfolders/timeshift.
Nov 13 09:49:43 StoreME systemd[1]: Mounted /sharedfolders/embytranscoding.
Nov 13 09:49:43 StoreME systemd[1]: Mounted /sharedfolders/musik16bit.
Nov 13 09:49:43 StoreME systemd[1]: Mounted /sharedfolders/musik.
Nov 13 09:49:43 StoreME systemd[1]: Mounted /sharedfolders/docker.
Nov 13 09:49:43 StoreME systemd[1]: Started udev Wait for Complete Device Initialization.
Nov 13 09:49:43 StoreME systemd[1]: Starting Import ZFS pools by device scanning...
Nov 13 09:49:43 StoreME systemd[1]: Started Import ZFS pools by device scanning.
Nov 13 09:49:43 StoreME systemd[1]: Starting Mount ZFS filesystems...
Nov 13 09:49:43 StoreME zfs[1850]: cannot mount '/ZFSPool1': directory is not empty
Nov 13 09:49:43 StoreME systemd[1]: zfs-mount.service: Main process exited, code=exited, status=1/FAILURE
Nov 13 09:49:43 StoreME systemd[1]: Failed to start Mount ZFS filesystems.
Nov 13 09:49:43 StoreME systemd[1]: zfs-mount.service: Unit entered failed state.
Nov 13 09:49:43 StoreME systemd[1]: zfs-mount.service: Failed with result 'exit-code'.
TagsNo tags attached.
Product build4.0.9
Attached Files

-Relationships
+Relationships

-Notes

~0005052

blublub (reporter)

Still happens with 4.0.12

If there are any logs needed just specify and I will try to provide them.

~0005053

votdev (administrator)

I think https://github.com/OpenMediaVault-Plugin-Developers/openmediavault-zfs is the correct place for this report, right?

~0005059

ryecoaaron27 (reporter)

I don't know that the plugin can fix this either. The zfs package has a mount service that is supposed to run before the local-fs mounts and the sharedfolder mounts wait for local-fs to be done. I'm guessing that zfs-mount isn't done before the sharedfolder mounts start.

~0005060

ryecoaaron27 (reporter)

The zfs-import-scan service could also be slow and cause the issue.

~0005064

votdev (administrator)

I can not install the ZFS plugin, see https://github.com/OpenMediaVault-Plugin-Developers/openmediavault-zfs/issues/33. Seems to be zfs-dkms is broken. But i think that spl-dkms must be added as dependency to the package dependency, too.

>I'm guessing that zfs-mount isn't done before the sharedfolder mounts start.
So what about adding this to the requires section of the sharedfolder.mount unit?

~0005065

ryecoaaron27 (reporter)

See my response on the github issue.

Adding zfs-mount may work. I haven't been able to replicate this problem (not enough zfs mounts??) so I'm not sure if I can tell you it works.

~0005076

zh4ng (reporter)

Hi, i run in the same error. Is there anything i can test? I have add a delay in zfs-mount.service but it dosn't work.

~0005077

votdev (administrator)

Fixed in openmediavault 4.0.15, see https://github.com/openmediavault/openmediavault/commit/5ae76ea84009a10a81a3d1329dc0b98996673e09.
+Notes

-Issue History
Date Modified Username Field Change
2017-11-13 10:06 blublub New Issue
2017-11-13 10:06 blublub Status new => assigned
2017-11-13 10:06 blublub Assigned To => votdev
2017-11-30 17:05 blublub Note Added: 0005052
2017-11-30 17:34 votdev Note Added: 0005053
2017-12-05 18:27 ryecoaaron27 Note Added: 0005059
2017-12-05 18:29 ryecoaaron27 Note Added: 0005060
2017-12-06 11:07 votdev Note Added: 0005064
2017-12-06 19:18 ryecoaaron27 Note Added: 0005065
2017-12-16 08:51 zh4ng Note Added: 0005076
2017-12-16 11:13 votdev Status assigned => resolved
2017-12-16 11:13 votdev Resolution open => fixed
2017-12-16 11:13 votdev Fixed in Version => Arrakis (4.x)
2017-12-16 11:13 votdev Note Added: 0005077
+Issue History